diff easyhg-extdiff.sh @ 336:4229b6a8e9c6

Merge
author Chris Cannam
date Mon, 14 Mar 2011 10:00:29 +0000
parents ea62eb083ed4
children d63711ff6740
line wrap: on
line diff
--- a/easyhg-extdiff.sh	Wed Mar 02 15:58:34 2011 +0000
+++ b/easyhg-extdiff.sh	Mon Mar 14 10:00:29 2011 +0000
@@ -7,24 +7,17 @@
 while [ $# -gt 2 ]; do
     shift
 done
-found=""
 for d in kdiff3 kdiff3.exe; do
     if [ -x "$p/$d" ]; then
-	found=true
-	"$p/$d" "$1" "$2"
-	break
+	exec "$p/$d" "$1" "$2"
     elif [ -x "$(type -path $d)" ]; then
-	found=true
-	"$d" "$1" "$2"
-	break;
+	exec "$d" "$1" "$2"
     fi
 done
-if [ -z "$found" ]; then
-    od=/usr/bin/opendiff
-    if [ -x "$od" ]; then
-	found=true
-	"$od" "$1" "$2" | cat
-    fi
+od=/usr/bin/opendiff
+if [ -x "$od" ]; then
+    "$od" "$1" "$2" | cat
+    exit 0
 fi
-[ -n "$found" ]
+exit 1